SymbolFactory

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.java_cup.runtime
Interface SymbolFactory

All Known Implementing Classes:
  ComplexSymbolFactory, DefaultSymbolFactory

    public interface SymbolFactory

Creates the Symbols interface, which CUP uses as default

Version:
  last updated 27-03-2006
Author:
  Michael Petter

Method Summary
`Symbol` | `newSymbol(java.lang.String name, int id)`
`Symbol` | `newSymbol(java.lang.String name, int id, java.lang.Object value)` Construction with left/right propagation switched off
`Symbol` | `newSymbol(java.lang.String name, int id, Symbol left, Symbol right)`
`Symbol` | `newSymbol(java.lang.String name, int id, Symbol left, Symbol right, java.lang.Object value)` Construction with left/right propagation switched on
`Symbol` | `startSymbol(java.lang.String name, int id, int state)` Construction of start symbol

Method Detail

### newSymbol

    Symbol newSymbol(java.lang.String name,
                     int id,
                     Symbol left,
                     Symbol right,
                     java.lang.Object value)

  Construction with left/right propagation switched on

### newSymbol

    Symbol newSymbol(java.lang.String name,
                     int id,
                     Symbol left,
                     Symbol right)

### newSymbol

    Symbol newSymbol(java.lang.String name,
                     int id,
                     java.lang.Object value)

  Construction with left/right propagation switched off

### newSymbol

    Symbol newSymbol(java.lang.String name,
                     int id)

### startSymbol

    Symbol startSymbol(java.lang.String name,
                       int id,
                       int state)

  Construction of start symbol

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD